> ## Name

> cgGetArrayDimension - get the dimension of an array parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     int cgGetArrayDimension( CGparameter param );

> ## Parameters

> param
>   The array parameter handle.

> ## Return Values

> Returns the dimension of param if param references an array.

> Returns 0 otherwise.

> ## Description

> cgGetArrayDimension returns the dimension of the array specified by param. cgGetArrayDimension is used when inspecting an array parameter in a program.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

> ## History

> cgGetArrayDimension was introduced in Cg 1.1.

> ## See Also

> cgGetArraySize, cgCreateParameterArray, cgCreateParameterMultiDimArray